Package org.apache.sling.jcr.webdav.impl.handler

# Class SlingHandlerManager<ManagedType>

java.lang.Object
org.apache.sling.jcr.webdav.impl.handler.SlingHandlerManager<ManagedType>

public class SlingHandlerManager<ManagedType> extends Object
IOManager service that uses a ServiceTracker to find available IOHandlers.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SlingHandlerManager(String referenceName)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindHandler(org.osgi.framework.ServiceReference ref)`
`protected ManagedType[]`
`getHandlers(ManagedType[] type)`
`void`
`setComponentContext(org.osgi.service.component.ComponentContext componentContext)`
`protected void`
`unbindHandler(org.osgi.framework.ServiceReference ref)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingHandlerManager

protected SlingHandlerManager(String referenceName)

## Method Details

### setComponentContext

public void setComponentContext(org.osgi.service.component.ComponentContext componentContext)

### getHandlers

protected ManagedType[] getHandlers(ManagedType[] type)

### bindHandler

protected void bindHandler(org.osgi.framework.ServiceReference ref)

### unbindHandler

protected void unbindHandler(org.osgi.framework.ServiceReference ref)